uuid: 40248770-ce44-42a9-9ecd-ab873f1a1d0a
langcode: en
status: true
dependencies:
  config:
    - filter.format.basic_html
  module:
    - ckeditor5
_core:
  default_config_hash: rrcLa1jOgI7xezeJia25MS2tmm_3e6VZOQaCIPF9b-I
format: basic_html
editor: ckeditor5
settings:
  toolbar:
    items:
      - heading
      - alignment
      - bold
      - italic
      - underline
      - '|'
      - link
      - '|'
      - bulletedList
      - numberedList
      - '|'
      - blockQuote
      - '|'
      - drupalMedia
      - code
      - codeBlock
      - '|'
      - sourceEditing
  plugins:
    ckeditor5_alignment:
      enabled_alignments:
        - center
        - justify
        - left
        - right
    ckeditor5_codeBlock:
      languages:
        -
          label: 'Plain text'
          language: plaintext
        -
          label: C
          language: c
        -
          label: 'C#'
          language: cs
        -
          label: C++
          language: cpp
        -
          label: CSS
          language: css
        -
          label: Diff
          language: diff
        -
          label: HTML
          language: html
        -
          label: Java
          language: java
        -
          label: JavaScript
          language: javascript
        -
          label: PHP
          language: php
        -
          label: Python
          language: python
        -
          label: Ruby
          language: ruby
        -
          label: TypeScript
          language: typescript
        -
          label: XML
          language: xml
        -
          label: YAML
          language: yml
        -
          label: JSON
          language: json
    ckeditor5_heading:
      enabled_headings:
        - heading2
        - heading3
        - heading4
        - heading5
        - heading6
    ckeditor5_list:
      properties:
        reversed: false
        startIndex: true
      multiBlock: true
    ckeditor5_sourceEditing:
      allowed_tags:
        - '<cite>'
        - '<dl>'
        - '<dt>'
        - '<dd>'
        - '<a hreflang>'
        - '<blockquote cite>'
        - '<ul type>'
        - '<ol type>'
        - '<h2 id>'
        - '<h3 id>'
        - '<h4 id>'
        - '<h5 id>'
        - '<h6 id>'
    media_media:
      allow_view_mode_override: false
image_upload:
  status: true
  scheme: public
  directory: inline-images
  max_size: null
  max_dimensions:
    width: null
    height: null
